import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React, { forwardRef } from 'react';
import PropTypes from 'prop-types';
const SvgIcon = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    size = 24
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["size"]);

  return /*#__PURE__*/React.createElement("svg", _extends({
    ref: ref,
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "currentcolor"
  }, rest));
});
SvgIcon.displayName = 'SvgIcon';
SvgIcon.propTypes = {
  size: PropTypes.number
};
export default SvgIcon;